[26445] in Source-Commits
/svn/athena r25578 - trunk/debathena/scripts
daemon@ATHENA.MIT.EDU (Jonathan D Reed)
Wed Jun 6 17:05:57 2012
Date: Wed, 6 Jun 2012 17:05:56 -0400
From: Jonathan D Reed <jdreed@MIT.EDU>
Message-Id: <201206062105.q56L5uZN006370@drugstore.mit.edu>
To: source-commits@MIT.EDU
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Author: jdreed
Date: 2012-06-06 17:05:56 -0400 (Wed, 06 Jun 2012)
New Revision: 25578
Modified:
trunk/debathena/scripts/dasource
Log:
Don't build UNRELEASED packages
Modified: trunk/debathena/scripts/dasource
===================================================================
--- trunk/debathena/scripts/dasource 2012-06-06 20:50:27 UTC (rev 25577)
+++ trunk/debathena/scripts/dasource 2012-06-06 21:05:56 UTC (rev 25578)
@@ -73,6 +73,13 @@
svn co $repo/$pkgpath $dir
fi
+ # Ensure that we're not trying to do something stupid
+ distribution=$(cd $dir && dpkg-parsechangelog | sed -n 's/Distribution: //p')
+ if [ "$distribution" = "UNRELEASED" ]; then
+ echo "You can't/shouldn't build a package marked as UNRELEASED."
+ exit 1
+ fi
+
# Extract the changelog version and strip off the epoch and Debian component.
changever=$(cd $dir && dpkg-parsechangelog | sed -n 's/Version: //p')
sver=$(echo $changever | sed -re 's/^[0-9]+://p')